@import '~modularscale-sass/stylesheets/modularscale'

$modularscale: ( base: 16px, ratio: $major-second )
  
$body-background-color: #F2F4F6 !default
$body-size: ms(0) !default
$body-rendering: optimizeLegibility !default
$body-family: $family-primary !default
$body-color: $text !default
$body-weight: $weight-normal !default
$body-line-height: 1.4 !default

$code-family: $family-code !default
$code-padding: 0.25em 0.5em 0.25em !default
$code-weight: normal !default
$code-size: 0.875em !default

$hr-background-color: $background !default
$hr-height: 2px !default
$hr-margin: 1.5rem 0 !default

// $strong-color: $text-strong !default
$strong-weight: $weight-bold !default

html
  // background-color: $body-background-color
  // font-size: $body-size
  // background-image: url('/assets/images/bg-triangles.svg')
  background-position: right top
  background-size: 500px
  background-repeat: repeat-y
  -moz-osx-font-smoothing: grayscale
  -webkit-font-smoothing: antialiased
  min-width: 300px
  // overflow-x: hidden
  // overflow-y: scroll
  text-rendering: $body-rendering
  text-size-adjust: 100%
  min-height: 100vh

article,
aside,
figure,
footer,
header,
hgroup,
section
  display: block

body,
button,
input,
select,
textarea
  font-family: $body-family

code,
pre
  -moz-osx-font-smoothing: auto
  -webkit-font-smoothing: auto
  font-family: $code-family

body
  color: $body-color
  font-size: $body-size
  font-weight: $body-weight
  line-height: $body-line-height
  min-height: 100%
  transition: $speed $easing

  > #root, .app
    display: flex
    flex-direction: column
    min-height: 100vh

  //   main
  //     flex: 1
  //     display: block
  //     min-height: calc(100vh - 4.25em - 189.5px)

// Inline
a
  color: $link
  cursor: pointer
  font-weight: normal
  text-decoration: none
  strong
    color: currentColor
  &:hover
    color: $link-hover
  &[disabled]
    pointer-events: none
    cursor: not-allowed

code
  background-color: $code-background
  color: $code
  font-size: $code-size
  font-weight: $code-weight
  padding: $code-padding

hr
  background-color: $hr-background-color
  border: none
  display: block
  height: $hr-height
  margin: $hr-margin

img
  height: auto
  max-width: 100%

input[type="checkbox"],
input[type="radio"]
  vertical-align: baseline

small
  font-size: 0.875em

span
  font-style: inherit
  font-weight: inherit

strong
  // color: $strong-color
  font-weight: $strong-weight

// Block

pre
  +overflow-touch
  background-color: $pre-background
  color: $pre
  font-size: 0.875em
  overflow-x: auto
  padding: 1.25rem 1.5rem
  white-space: pre
  word-wrap: normal
  code
    background-color: transparent
    color: currentColor
    font-size: 1em
    padding: 0

table
  td,
  th
    text-align: left
    vertical-align: top
  th
    color: $text-strong

p
  a
    text-decoration: underline

[dark], .is-dark
  color: white !important